<?php

/**
 * @file
 * Hooks for the 'Enforce User Fields' module.
 */

/**
 * Implements hook_enforce_user_fields_have_unfilled_required_fields_alter().
 *
 * @param \Drupal\Core\Session\AccountInterface $account
 * @param bool $result
 *
 * @return void
 */
function hook_enforce_user_fields_have_unfilled_required_fields_alter(bool &$result, \Drupal\Core\Session\AccountInterface $account) {
  if (!$result) {
    // Additional check. Possible on account profile, etc.
    // FALSE - for regular behavior.
    // TRUE - if user should fill profile before proceed.
  }
}
